mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

A date calculation for a particular calendar depends on whether the calendar is solar-based, lunar-based, or lunisolar-based. For example, the , , and classes are solar-based, the and classes are lunar-based,.and the and classes are lunisolar-based, thus using solar calculations for the year and lunar calculations for the month and day.

A value, which is returned by a calendar member such as the property, specifies the foundation for a particular calendar.

Specifies whether a calendar is solar-based, lunar-based, or lunisolar-based.

- Field
  2.0.0.0
  4.0.0.0
  System.Globalization.CalendarAlgorithmType

  A lunar-based calendar.

- Field
  2.0.0.0
  4.0.0.0
  System.Globalization.CalendarAlgorithmType

  A lunisolar-based calendar.

- Field
  2.0.0.0
  4.0.0.0
  System.Globalization.CalendarAlgorithmType

  A solar-based calendar.

- Field
  2.0.0.0
  4.0.0.0
  System.Globalization.CalendarAlgorithmType

  An unknown calendar basis.